package cn.wisenergy.service.app;

public interface UserLevelService {

    /**
     * 用户升级
     *      根据用户的userid进行判断看当前用户是否需要进行升级
     * @param userId 用户id
     */
    void userLevelUpgrade(String userId);

    /**
     * 同步accountInfo 和TeamPerformance 的用户等级
     * @param userId 用户id
     */
    void accountAndTeamPerformanceUserLevelUpdate(String userId);

}
